/* CLib-file for fxPLUGINs
   1999 by Felix Schwarz
*/

#ifndef _FXPLUGIN_PROTOS_H
#define _FXPLUGIN_PROTOS_H 1
#include <fxpaint/fxPLUGIN.h>
/* Info, Init and Close */
struct PluginInfo * FXPlug_Info(ULONG type, struct PluginInit *plg);
void FXPlug_FreeInfo           (APTR mem, struct PluginInit *plg);
void FXPlug_Bye                (struct PluginBye *plb);

/* Plugin-Open and Close */
APTR FXPlug_InitPlugin(struct PluginInit *plg);
void FXPlug_ClosePlugin(APTR mem, struct PluginInit *plg);

/* Plugin-Funcs */
/* Filter */
void FXPlug_Filter          (struct PluginFilter *plf);

/* GUI funcs */
void FXPlug_OpenFilterGUI   (struct PluginGUI *pog);
void FXPlug_HandleFilterGUI (struct PluginGUI *pog);
void FXPlug_CloseFilterGUI  (struct PluginGUI *pog);

/* I/O funcs */
struct PluginImageInfo *FXPlug_Identify_Image (struct PluginIdent *pid);
struct        fsbitmap *FXPlug_Load_Image     (struct PluginLoadImage *pli);
BOOL                    FXPlug_Save_Image     (struct PluginSaveImage *psi);

/* Port funcs */
void FXPlug_Handle_Ports (struct PluginHandlePorts *php);

/* Launch funcs */
BOOL FXPlug_Launch       (struct PluginLaunch *pll);

/* DisplayDriver funcs */
BOOL FXPlug_rendergfx_rp(struct RastPort *rp, struct Screen *scr, struct fsbitmap *fsb, long xpos, long ypos, struct PluginInit *pli);

#endif
